#perl-MIME-Base64.spec
%define name perl-MIME-Base64
%define real_name MIME-Base64
%define version 2.11
%define release 3mdk

Summary: Perl module for MIME encoding/decoding (base64 and quoted-printable)
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Languages 
Buildroot: %{_tmppath}/%{name}-buildroot
Source: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/MIME/%{real_name}-%{version}.tar.bz2
Prefix: %{_prefix}

%description
This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder.  These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

The Base64 encoding is designed to represent arbitrary sequences of
octets in a form that need not be humanly readable. A 65-character
subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits to be
represented per printable character.

The quoted-printable encoding is intended to represent data that
largely consists of bytes that correspond to printable characters in
the ASCII character set.  Non-printable characters are represented by
a triplet consisting of the character "=" followed by two hexadecimal
digits.

The MIME::Base64 and MIME::QuotedPrint modules used to be part of
libwww-perl package.  They are now distributed separately (as this
package).  The main improvement is that the base64 encoder/decoder is
implemented by XS functions.  This makes it about 20 times faster than
the old implementation as pure Perl.

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
make install PREFIX="$RPM_BUILD_ROOT%{prefix}"
bzip2 -9f $RPM_BUILD_ROOT%{prefix}/lib/perl5/man/man3/*.3

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/MIME/Base64/Base64.so
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/MIME/Base64/Base64.bs
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/MIME/Base64.pm
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/MIME/QuotedPrint.pm
/usr/lib/perl5/man/man3/MIME::Base64.3.bz2
/usr/lib/perl5/man/man3/MIME::QuotedPrint.3.bz2

%changelog
* Thu Dec  6 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- small cleaning in path variables

* Sun Dec  5 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- Changed a few instances of i386 into %%{_arch}

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.

# end of file
